create table flow_instance
(
    id              bigint                  not null comment '主键id'
        primary key,
    definition_id   bigint                  not null comment '对应flow_definition表的id',
    business_id     varchar(40)             not null comment '业务id',
    node_type       tinyint(1)              not null comment '节点类型（0开始节点 1中间节点 2结束节点 3互斥网关 4并行网关）',
    node_code       varchar(40)             not null comment '流程节点编码',
    node_name       varchar(100)            null comment '流程节点名称',
    variable        text                    null comment '任务变量',
    flow_status     varchar(20)             not null comment '流程状态（0待提交 1审批中 2审批通过 4终止 5作废 6撤销 8已完成 9已退回 10失效 11拿回）',
    activity_status tinyint(1)  default 1   not null comment '流程激活状态（0挂起 1激活）',
    def_json        text                    null comment '流程定义json',
    create_by       varchar(64) default ''  null comment '创建者',
    create_time     datetime                null comment '创建时间',
    update_time     datetime                null comment '更新时间',
    ext             varchar(500)            null comment '扩展字段，预留给业务系统使用',
    del_flag        char        default '0' null comment '删除标志',
    tenant_id       varchar(40)             null comment '租户id'
)
    comment '流程实例表';

